Commits

Anonymous committed 4227678

callcatcher: tweaks and fixes, also parts of #i117839#

  • Participants
  • Parent commits 5e73474

Comments (0)

Files changed (9)

postprocess/callcatcher/cc_analyse.sh

     files="$files $repo/*/${INPATH}/lib/*.so $repo/*/${INPATH}/bin/*"
 done
 # Call with unquoted variables so pathname expansion works.
-$SOLARENV/bin/cc_wrap.sh $CALLCATCHER_PREFIX/bin/callanalyse $files ${SOURCE_ROOT_DIR}/${INPATH}/workdir/LinkTarget/{Library/*.so,Executable/*}
+$SOLARENV/bin/cc_wrap.sh callanalyse --OpenOffice.org $files ${SOURCE_ROOT_DIR}/${INPATH}/workdir/LinkTarget/{Library/*.so,Executable/*}

solenv/bin/cc_wrap.sh

 #!/bin/bash -e
 # wrap callcatcher to set required PYTHONPATH
-if [ -n "$CALLCATCHER_PREFIX" ]; then
-    export PYTHONPATH="$CALLCATCHER_PREFIX/lib/python2.6/site-packages"
+if [ -n "$CALLCATCHER_PYTHONPATH" ]; then
+    export PYTHONPATH="$CALLCATCHER_PYTHONPATH"
     "$@"
+else
+    echo 'Error: $CALLCATCHER_PYTHONPATH not set, e.g. /callcatcher_prefix/lib/python2.6/site-packages'
+    exit 1
 fi

solenv/config/sdev300.ini

         {
             CC %SOLARENV%/bin/cc_wrap.sh callcatcher gcc
             CXX %SOLARENV%/bin/cc_wrap.sh callcatcher g++
-            LIBMGR PYTHONPATH=%COMMON_ENV_TOOLS%/%WORK_STAMP%/lib/python2.6/site-packages callarchive ar
+            LIBMGR %SOLARENV%/bin/cc_wrap.sh callarchive ar
             LINK %SOLARENV%/bin/cc_wrap.sh callcatcher g++
             PATHEXTRA %PATHEXTRA%:%COMMON_ENV_TOOLS%/%WORK_STAMP%/bin
+            CALLCATCHER_PYTHONPATH %COMMON_ENV_TOOLS%/%WORK_STAMP%/lib/python2.6/site-packages
             CALLCATCHER TRUE
-            CALLCATCHER_PREFIX %COMMON_ENV_TOOLS%/%WORK_STAMP%
         }
         cap
         {

solenv/config/ssolar.cmn

         BUILD_X64
 		CLASSPATH
 		CALL_CDECL
+        CALLCATCHER
+        CALLCATCHER_PYTHONPATH
 		CHECK_LUCENCE_INDEXER_OUTPUT
 		COMEX
 		common_build
         L10N-framework
         L10N_framework
         LFS_CFLAGS
+        LIBMGR
+        LINK
 		LOCALINI
 		MACOSX_DEPLOYMENT_TARGET
 		MK_UNROLL

solenv/gbuild/platform/linux.mk

 ifneq ($(origin CXX),default)
 gb_CXX := $(CXX)
 endif
+ifneq ($(origin LIBMGR),undefined)
 ifneq ($(origin LIBMGR),default)
 gb_AR := $(LIBMGR)
 endif
+endif
+ifneq ($(origin LINK),undefined)
 ifneq ($(origin LINK),default)
 gb_LINK := $(LINK)
 endif
+endif
 
 gb_OSDEFS := \
 	-D$(OS) \

solenv/gbuild/platform/macosx.mk

 ifneq ($(origin CXX),default)
 gb_CXX := $(CXX)
 endif
+ifneq ($(origin LIBMGR),undefined)
 ifneq ($(origin LIBMGR),default)
 gb_AR := $(LIBMGR)
 endif
+endif
+ifneq ($(origin LINK),undefined)
 ifneq ($(origin LINK),default)
 gb_LINK := $(LINK)
 endif
+endif
 
 gb_OSDEFS := \
 	-D$(OS) \

solenv/gbuild/platform/solaris.mk

 ifneq ($(origin CXX),default)
 gb_CXX := $(CXX)
 endif
+ifneq ($(origin LIBMGR),undefined)
 ifneq ($(origin LIBMGR),default)
 gb_AR := $(LIBMGR)
 endif
+endif
+ifneq ($(origin LINK),undefined)
 ifneq ($(origin LINK),default)
 gb_LINK := $(LINK)
 endif
+endif
 
 gb_OSDEFS := \
 	-D$(OS) \

solenv/gbuild/platform/windows.mk

 ifneq ($(origin CXX),default)
 gb_CXX := $(CXX)
 endif
+ifneq ($(origin LIBMGR),undefined)
 ifneq ($(origin LIBMGR),default)
 gb_AR := $(LIBMGR)
 endif
+endif
+ifneq ($(origin LINK),undefined)
 ifneq ($(origin LINK),default)
 gb_LINK := $(LINK)
 endif
+endif
 
 gb_OSDEFS := \
 	-DWINVER=0x0500 \

solenv/gbuild/platform/winmingw.mk

 ifneq ($(origin CXX),default)
 gb_CXX := $(CXX)
 endif
+ifneq ($(origin LIBMGR),undefined)
 ifneq ($(origin LIBMGR),default)
 gb_AR := $(LIBMGR)
 endif
+endif
+ifneq ($(origin LINK),undefined)
 ifneq ($(origin LINK),default)
 gb_LINK := $(LINK)
 endif
+endif
 
 ifeq ($(USE_MINGW),cygwin)
 gb_MINGWLIBDIR := $(COMPATH)/lib/mingw